# -*- coding: utf-8 -*-
# Generated by Django 1.9.7 on 2016-06-27 17:54
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations


def set_db_instance_for_old_log_report_objects(apps, schema_editor):
    DBLogReportDetail = apps.get_model('log_analyser', 'DBLogReportDetail')

    db_instance = settings.RDS_DB_INSTANCE_IDENTIFIER
    if type(db_instance) is list:
        db_instance = db_instance[0]

    DBLogReportDetail.objects.filter(db_instance__isnull=True).update(db_instance=db_instance)


def blank_backward_migration(apps, schema_editor):
    pass


class Migration(migrations.Migration):

    dependencies = [
        ('log_analyser', '0002_dblogreportdetail_db_instance'),
    ]

    operations = [
        migrations.RunPython(set_db_instance_for_old_log_report_objects, blank_backward_migration)
    ]
